﻿#include <iostream>
#include <fstream>
#include <vector>
#include <algorithm>
#include <map>
#include <string>
#include <set>
#include <cmath>
#include <random>
typedef long long ll;
using namespace std;

int count(int n) {
	int x = n % 16, y = n % 8, z = n % 2;
	if (x >= y && y >= z) {
		return x * 16 * 16 + y * 16 + z;
	}
	else if (y >= x && x >= z) {
		return y * 16 * 16 + x * 16 + z;
	}
	else if (y >= z && z >= x) {
		return y * 16 * 16 + z * 16 + x;
	}
	else if (z >= y && y >= x) {
		return z * 16 * 16 + y * 16 + x;
	}
	else if (z >= x && x >= y) {
		return z * 16 * 16 + x * 16 + y;
	}
	else {
		return x * 16 * 16 + z * 16 + y;
	}
}

int main() {
	int a, b, x;
	cin >> a >> b;
	map<int, vector<int>> q;
	pair<int, vector<int>> d;
	for (int i = a; i <= b; ++i) {
		x = count(i);
		if (q.find(x) == q.end()) {
			q.insert({ x, {i} });
		}
		else {
			q[x].push_back(i);
		}
	}
	for (auto u : q) {
		d = u;
	}
	cout << d.second[0] << ' ' << d.second.size();
	return 0;
}